<div class="main">
	<h3 class="page-header">Notifications</h3>
	<div class="row">
		<div class="col-md-3 col-sm-3 hidden-xs">
			
			<?php echo $followers ?>
		</div>
	
		<div class="col-md-6 col-sm-6">
		 <div class="well row">
			<?php echo form_open('auth/edit_profile', array('class' => 'form-horizontal')) ?>
			<div class="form-group">
				<div class="col-md-4">
					<label for="username">Email:</label>
				</div>	
				<div class="col-md-6">
					<input type="text" name="email" value="<?php echo $user->email;?>" disabled class="form-control">
				</div>
			</div>
			<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('edit_user_fname_label', 'first_name');?> <span class="error">*</span>
				</div>	
				<div class="col-md-6">
					<input type="text" name="first_name" class="form-control" value="<?php echo $user->first_name;?>">
					<?php echo form_error('first_name', '<div class="error">', '</div>')?>
				</div>
			</div>
			 <div class="form-group">
				<div class="col-md-4">
					<?php echo lang('edit_user_lname_label', 'last_name');?>  
				</div>	
				<div class="col-md-6">
					<input type="text" name="last_name" value="<?php echo $user->last_name;?>" class="form-control">
					<?php echo form_error('last_name', '<div class="error">', '</div>')?>
				</div>
			</div>
            
			<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('create_user_zipcode_label', 'Zopcode');?> <!--<span class="error">*</span>-->
				</div>	
				<div class="col-md-6">
					<input type="text" name="phone" value="<?php echo $user->zipcode;?>" class="form-control" >
					<?php echo form_error('zipcode', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('create_user_phone_label', 'phone');?><!-- <span class="error">*</span>-->
				</div>	
				<div class="col-md-6">
					<input type="text" name="phone" value="<?php echo $user->phone;?>" class="form-control" >
					<?php echo form_error('phone', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			<!--<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('create_user_address_label', 'address');?> <span class="error">*</span>
				</div>	
				<div class="col-md-6">
					<input type="text" name="address" value="<?php echo $user->address;?>" class="form-control" >
					<?php echo form_error('address', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			 <div class="form-group">
				<div class="col-md-4">
				<?php echo lang('create_user_country_label', 'country');?> <span class="error">*</span>
			</div>	
				<div class="col-md-6">
					<select name="country" id="country" class="form-control">
					<option value="">Country</option>
					<?php foreach($country as $count) { ?>
					<option value="<?php echo $count->id;?>"<?php if($user->country_id == $count->id) echo 'selected="selected"'; ?>><?php echo $count->country;?></option>
					<?php } ?>
					</select> 
					<?php echo form_error('address', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('create_user_state_label', 'state');?> <span class="error">*</span>
				</div>	
				<div class="col-md-6">	
					<select name="state" class="form-control" >
						<option value="">Select State</option>
						<?php foreach($states as $state) { 
						?>
						<option value="<?php echo $state->id;?>" <?php if($state->id == $user->state) echo 'selected="selected"'; ?>><?php echo $state->state;?></option>
						<?php } ?>
					</select>
					<?php echo form_error('state', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			 <div class="form-group">
				<div class="col-md-4">
				<?php echo lang('create_user_city_label', 'city');?> <span class="error">*</span>
				</div>	
				<div class="col-md-6">	
					<input type="text" name="city" value="<?php echo $user->city;?>" class="form-control">
					<?php echo form_error('city', '<div class="error">', '</div>')?>
				</div>
			</div>
			
			<div class="form-group">
				<div class="col-md-4">
					<?php echo lang('create_user_date_label', 'dob');?> <span class="error">*</span>
				</div>
				<?php 
					$date = date("d", strtotime($user->date_of_birth)); 
					$month = date("m", strtotime($user->date_of_birth)); 
					$year = date("Y", strtotime($user->date_of_birth)); 
				?>
				<div class="col-sm-2">
					<select name="month" id="month" class="form-control">
						<option value="">Month</option>
						<option value="01" <?php echo ($month == 01) ? 'selected' : '';?>>Jan</option>
						<option value="02" <?php echo ($month == 02) ? 'selected' : '';?>>Feb</option>
						<option value="03" <?php echo ($month == 03) ? 'selected' : '';?>>March</option>
						<option value="04" <?php echo ($month == 04) ? 'selected' : '';?>>April</option>
						<option value="05" <?php echo ($month == 05) ? 'selected' : '';?>>May</option>
						<option value="06" <?php echo ($month == 06) ? 'selected' : '';?>>June</option>
						<option value="07" <?php echo ($month == 07) ? 'selected' : '';?>>July</option>
						<option value="08" <?php echo ($month == 08) ? 'selected' : '';?>>Aug</option>
						<option value="09" <?php echo ($month == 09) ? 'selected' : '';?>>Sept</option>
						<option value="10" <?php echo ($month == 10) ? 'selected' : '';?>>Oct</option>
						<option value="11" <?php echo ($month == 11) ? 'selected' : '';?>>Nov</option>
						<option value="12" <?php echo ($month == 12) ? 'selected' : '';?>>Dec</option>
					</select>
					<?php echo form_error('month', '<div class="error">', '</div>')?>
				</div>
						
				<div class="col-sm-2">
					<select name="day" id="day" class="form-control">
						<option value="">Day</option>
						<?php for($i=1;$i<=31;$i++): ?>
						<option value="<?php echo str_pad($i, 2, '0', STR_PAD_LEFT);?>" <?php echo ($date == $i) ? 'selected' : '';?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT);?></option>
						<?php endfor; ?>
					</select>
					<?php echo form_error('day', '<div class="error">', '</div>')?>
				</div>
						
				<div class="col-sm-2">
					<select name="year" id="year" class="form-control">
						<option value="">Year</option>
						<?php 
						for($i=1950;$i<=2010;$i++)
						{
						?>
						<option value="<?php echo $i;?>" <?php echo ($year == $i) ? 'selected' : '';?>><?php echo $i;?></option>
						<?php
						}
						?>
					</select>
					<?php echo form_error('year', '<div class="error">', '</div>')?>
				</div>
			</div>
			-->
			
			<div class="form-group">
				<div class="col-md-4">
					<label for="Zopcode">Description:</label><!-- <span class="error">*</span>-->
				</div>	
				<div class="col-md-6">
					
					<textarea class="form-control" rows="5" name="description" id="description"><?php echo $user->description;?></textarea>
				</div>
			</div>
			
			<div class="form-group">
				<div class="col-md-4"><label for="View Privacy">View Privacy</label></div>	
				<div class="col-md-6">
					<input type="radio" name="viewer_privacy" value="1" <?php echo ($user->viewer_privacy)?'checked':'' ?>> Allowed&nbsp;
					<input type="radio" name="viewer_privacy" value="0" <?php echo (!$user->viewer_privacy)?'checked':'' ?>> Not Allowed
				</div>
			</div>
			
			<div class="form-group">
				<div class="col-sm-offset-4 col-sm-6">
					<?php echo bs_form_submit('submit', 'Update');?>
				</div>
			</div>
			<?php echo form_close() ;?>
		</div>
	 </div>
            
    
		
		<div class="col-md-3 col-sm-3 hidden-xs">
			<?php echo $following ?>
		</div>
	</div>
</div>
	