<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Fblogin extends MX_Controller {
	public function __construct(){
		parent::__construct();
		$this->load->model('fblogin_model');
        // To use site_url and redirect on this controller.
        $this->load->helper('url');
		$this->identity_column = $this->config->item('identity', 'ion_auth'); 
	}
	public function index(){
		$this->load->library('facebook'); // Automatically picks appId and secret from config
        // OR
        // You can pass different one like this
        //$this->load->library('facebook', array(
        //    'appId' => 'APP_ID',
        //    'secret' => 'SECRET',
        //    ));
		$data['user_profile'] = '';
		
		$user = $this->facebook->getUser();
		//var_dump($user);
        
        if ($user) {
            try {
				$user_profile = $this->facebook->api('/me?fields=id,name,link,email,gender');
				$data['user_profile'] = $user_profile;
				
				$name = explode(' ', $user_profile['name']);
			
				$email = $user_profile['email'];
				$first_name = $name[0];
				$last_name = $name[1];
				$password = rand(100000,1000000);
				$username = $first_name.' '.$last_name;
				
				$additional_data = array(
					'facebook_login_id'    => $user_profile['id'],
					'password'    => $password,
					'email'    	=> $email,
					'first_name' => $first_name,
					'last_name'  => $last_name,
					'facebook_flag'=> 1
				);
				
				$user = $this->fblogin_model->login_check_byFacebook_id($user_profile['id']);
			
				if ( $user ){
					
					$session_data = array(
						'identity'             => $user->{$this->identity_column},
						'username'             => $username,
						'email'                => $email,
						'user_id'              => $user->id, 
						'old_last_login'       => $user->last_login
					);
					
					$this->session->set_userdata($session_data);
		
					$user = '';
					$data['user_profile'] = '';
					redirect('dashboard');
					
				} elseif($this->ion_auth->register($username, $password, $email, $additional_data)){
					
					if ($this->ion_auth->login($email, $password, $remember=null)){
						$user = null;
						$data['user_profile'] = '';
						redirect('dashboard');
					}
					
				}
            } catch (FacebookApiException $e) {
                $user = null;
            }
        } else {
            // Solves first time login issue. (Issue: #10)
            //$this->facebook->destroySession();
        }
        if ($user) {
            $data['logout_url'] = site_url('fblogin/logout'); // Logs off application
            // OR 
            // Logs off FB!
            // $data['logout_url'] = $this->facebook->getLogoutUrl();
			
        } else {
            $data['login_url'] = $this->facebook->getLoginUrl(array(
                'redirect_uri' => site_url('fblogin'), 
                'scope' => array("email") // permissions here
            ));
        }
        $this->load->view('fblogin',$data);
	}
    public function logout(){
        $this->load->library('facebook');
        // Logs off session from website
        $this->facebook->destroySession();
        // Make sure you destory website session as well.
        redirect('fblogin');
    }
}