<div class="main">
	<h3 class="page-header">Notifications</h3>
	<div class="row">
		<div class="col-md-3 hidden-sm hidden-xs">
			
			<?php echo $followers ?>
		</div>
	
		<div class="col-md-6">
			<div id="notifications">
				<?php $this->load->view('notifications/ajaxlist') ?>
			</div>
			<input type="hidden" id="base_url" value="<?php echo site_url() ?>" />
			<input type="hidden" id="totalRows" value="<?php echo $totalRows ?>" />
			<div id="loadingBar"><?php echo img('assets/img/loading_bar.gif') ?></div>
			<button id="nextrecord" class="btn btn-primary">More...</button>
		</div>
		
		<div class="col-md-3 hidden-sm hidden-xs">
			<?php echo $following ?>
		</div>
	</div>
</div>
<!-- Magento login -->
<?php if( ! $this->session->userdata('logged_in_magento')): ?>
<input type="hidden" name="email" id="email" value="<?php echo $user->email?>" />
<input type="hidden" name="magento_login_url" id="magento_login_url" value="<?php echo $this->config->item('magento_login_url') ?>" />
<?php $this->session->set_userdata('logged_in_magento', TRUE); ?>
<?php endif; ?>
<div class="clear"></div>
<script>
$(document).ready(function () {
	$('#nextrecord').click(function(e){
		var records = $('#records').val();
		var base_url = $('#base_url').val();
		var totalRows = <?php echo $totalRows; ?>;
		
		if (records < totalRows) {
			$('#loadingBar').show(); 
			
			$.ajax({
				type: "POST",
				url: base_url + 'notifications/ajaxlist',
				data: 'records=' + records,
				success: function(data){
					$("#records").remove();
					$("#notifications").append(data);
					$('#loadingBar').hide(); 
				}
			});
		}
	});
});
</script>