<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');





class Eventframe extends MY_Controller {





    public $data;


	


	function __construct() {


		parent::__construct();


		if ( ! $this->ion_auth->logged_in()) {


			redirect('auth/login');


		}
        

		$this->load->library('kaltura/kaltura');


		$this->load->language('frame');


		$this->load->model('eventframe_model');


		$this->load->library('form_validation');


		$this->load->helper('text');


		$this->load->helper('media');


		$this->load->model('ws_model');


		$this->load->library('common_lib');
          
	}


	


	function index($video_id=null){


	


		$user_id = $this->ion_auth->get_user_id();


		


		$this->data['frames'] = $this->eventframe_model->get_video_frames($video_id);


		


		$this->template->load_view('frame/index', $this->data);


	}





	


	


	/* public function temp_upload(){


		


	    $frame_type = $this->input->get_post('frame_type', true);


		$title = $this->input->get_post('title', true); 


		$this->load->library('upload');


		$uploadPath = 'media/temp/';


		$config['upload_path'] = $uploadPath;


		if($frame_type == 'IMAGE') {


			$config['allowed_types'] = 'gif|jpg|jpeg|png';


		}


		else {


			$config['allowed_types'] = 'mp4';


		}


		$config['encrypt_name'] = TRUE;


		$this->upload->initialize($config);


		


		if( ! $this->upload->do_upload('media_file')) {


			$response = array(


				'status' => $this->upload->display_errors()


			);


		} 


		else {


		


			$upload_data = $this->upload->data();


			$mediafile = $upload_data['file_name'];


			


			$media_file_path = $uploadPath.$mediafile;


			


			


			$this->data['frame_type']=$frame_type;


			$this->data['media_path']=$media_file_path;


			$this->data['mediafile']=$mediafile;


			$this->data['title']=$title;


			$this->data['frame_id']= abs(crc32(uniqid()));


			//'view'=>$this->load->view('eventframe/frame_info',$this->data)


			$data= $this->load->view('eventframe/frame_info',$this->data,TRUE);


			$response = array(


				'status' => 'success',


				'view'=>"$data"


			);


		} 





        $this->output


			->set_content_type('application/json')


			->set_output(json_encode($response));  	 


  		


	} */


	
    public function temp_upload(){
        $frame_type = $this->input->get_post('frame_type', true);
	    $title = $this->input->get_post('title', true); 
		$status='';
		$uploadData=array();
		if($_FILES["images"]["name"] != '')
		{
			
		   $this->load->library('upload');
		   $uploadPath = 'media/temp/';
		   $config['upload_path'] = $uploadPath;
		   if($frame_type == 'IMAGE') {
			 $config['allowed_types'] = 'gif|jpg|jpeg|png';
		   }

			else {
				$config['allowed_types'] = 'mp4|mpeg|3gp';
			}

			$config['encrypt_name'] = TRUE;
			$this->upload->initialize($config);

		   for($count = 0; $count<count($_FILES["images"]["name"]); $count++)
		   {
			$_FILES["file"]["name"] = $_FILES["images"]["name"][$count];
			$_FILES["file"]["type"] = $_FILES["images"]["type"][$count];
			$_FILES["file"]["tmp_name"] = $_FILES["images"]["tmp_name"][$count];
			$_FILES["file"]["error"] = $_FILES["images"]["error"][$count];
			$_FILES["file"]["size"] = $_FILES["images"]["size"][$count];
			if($this->upload->do_upload('file'))
			{
			 $upload_data = $this->upload->data();
			 $mediafile = $upload_data['file_name'];
			 $media_file_path = $uploadPath.$mediafile;
			 
			 $uploadData[]= array(
			 'mediafile'=>$mediafile,
			 'frame_type'=>$frame_type,
			 'media_path'=>$media_file_path,
			 'title'=>$title,
			 'frame_id'=>abs(crc32(uniqid()))
			 
			 );
			
			}
			else{
				$status= $this->upload->display_errors();
				break;
			}
		  }
		  
		  if($status){
			 $response = array(
				'status' => "$status",
			); 
		  }
		  else{
			 $this->data['uploadData']=$uploadData;
			 $data= $this->load->view('eventframe/frame_info_multi',$this->data,TRUE);

			 $response = array(
				'status' => 'success',
				'view'=>"$data"
			); 
		  }
		    
		   //echo $output;

		}
		
		
		$this->output
			->set_content_type('application/json')
			->set_output(json_encode($response));  
	}

	


	


	


	public function create_frame()


	{


		$user_id = $this->input->get_post('user_id', true);


		$video_id = $this->input->get_post('video_id', true);


		$title = $this->input->get_post('title', true);


		$media_type = $this->input->get_post('media_type', true);


		$is_product_frame = $this->input->get_post('is_product_frame', true);


		$product_id = $this->input->get_post('product_id', true);


		$start_time = $this->input->get_post('start_time', true);


		$end_time = $this->input->get_post('end_time', true);


		


		$mediafile = $this->input->get_post('media', true);

        
		$countFrame= $this->eventframe_model->count_frame($video_id);
        
        
		$countFrame= $this->eventframe_model->count_frame($video_id);
        
        
		if( ! $video_id ) {


			$response = array(


				'status' => 'error',


			);


		}
		
        else if($countFrame >=5){
			$response = array(
				'status' => 'Cannot add more then 5 frames'

			);
		}

		else {


		


			$framestatus = $this->frameslot($video_id, $start_time, $end_time);


			


			if( ! $framestatus)


			{ 


				$response = array(


					'status' => 'Cannot Sync the frame at this duration'


				);


			} 


			else{


			    if($is_product_frame=="yes"){


					


					$this->load->model('frame/frame_model');


					$this->load->model('videos/videos_model');


					$media_file = $this->input->get_post('media_file', true);


					$kaltura_user = $this->ion_auth->get_username($user_id);


					


					// Kaltura data


					/* $media = array(


						'user' => $kaltura_user,


						'access_type' => 'USER',


						'media_type' => $media_type,


						'title' => "Advertisement",


						'description' => NULL,


						'tags' => NULL,


						'media_path' => $media_file


					);


					$kmedia = $this->kaltura->uploadfile($media, $frame = TRUE);


					*/


					//Magento product


					$this->load->library('bwt_magento');


					$magento_product = $this->bwt_magento->get_product($product_id);


					


					$frame_data = array(


						'user_id' => $user_id,


						'video_id' => $video_id,


						'product_id' => $this->input->get_post('product_id'),


						'title' => $title,


						'start_time' => $start_time,


						'end_time' => $end_time,


						'media_type' => "IMAGE",


						'thumbnail_url' => $magento_product->getImageUrl(),


						'image_url' => $magento_product->getImageUrl(),


						'product_url' => $magento_product->getProductUrl(),


						'created_on' => $this->currentTime($user_id)


					);


					


					$frame_id = $this->frame_model->insert('ads_frame', $frame_data);


					$video = $this->videos_model->get_video('id', $video_id, $kaltura_user_id=NULL);





					// Tag Streams


					$streams_data = array(


						'user_id' => $user_id,


						'stream_type' => 'event',


						'event_id' => $frame_id,


						'action_type' => 'frame',


						'created_on' =>$this->currentTime($user_id) 


					);


					$id=$this->common_model->insert_tag_stream($streams_data);


					


					// Tagged User


					/* if($tagged_user_id) 


					{


						$taggedUserData = array(


							'user_id' => $user_id,


							'tagged_user_id' => $tagged_user_id,


							'frame_id' => $frame_id,


							'video_id' => $video_id,


							'type' => 'Frame',


							'created_at' => date('Y-m-d H:i:s', time())


						);


						


						$id= $this->ws_model->insert_tagged_user($taggedUserData);


					} */


					


					$response = array(


						'status' => 'success',


						'frame_id'=>$frame_id


					);


				}


				else{


					


					$this->load->model('frame/frame_model');


					$this->load->model('videos/videos_model');


				


					$this->load->library('upload');


			


					$uploadPath = 'media/temp/';


				


					$upload_data = $this->upload->data();


					//$mediafile = $upload_data['file_name'];


					


					$kaltura_user = $this->ion_auth->get_username($user_id);


					$media_file_path = $uploadPath.$mediafile;


					


					// Kaltura data


					$media = array(


						'user' => $kaltura_user,


						'access_type' => 'USER',


						'media_type' => $media_type,


						'title' => "Advertisement",


						'description' => NULL,


						'tags' => NULL,


						'media_path' => $media_file_path


					);


					$kmedia = $this->kaltura->uploadfile($media, $frame = TRUE);


			


					//Magento product


					$this->load->library('bwt_magento');


					$magento_product = $this->bwt_magento->get_product($product_id);


					


					$frame_data = array(


						'user_id' => $user_id,


						'video_id' => $video_id,


						'product_id' => $this->input->get_post('product_id'),


						'title' => $title,


						'start_time' => $start_time,


						'end_time' => $end_time,


						'media_type' => $media_type,


						'frame_kaltura_media_id' => $kmedia->id,


						'frame_kaltura_user_id' => $kmedia->userId,


						'thumbnail_url' => $kmedia->thumbnailUrl,


						'image_url' => $kmedia->dataUrl,


						'product_url' => $magento_product->getProductUrl(),


						'created_on' => $this->currentTime($user_id)


					);


					


					$frame_id = $this->frame_model->insert('ads_frame', $frame_data);


					$video = $this->videos_model->get_video('id', $video_id, $kaltura_user_id=NULL);


                    //echo "<pre>";print_r($frame_data);


					// Tag Streams


					$streams_data = array(


						'user_id' => $user_id,


						'stream_type' => 'event',


						'event_id' => $frame_id,


						'action_type' => 'frame',


						'created_on' => $this->currentTime($user_id) 


					);


					$id=$this->common_model->insert_tag_stream($streams_data);


					


					$response = array(


						'status' => 'success',


						'frame_id'=>$frame_id


					);


					


					unlink($media_file_path);


					


				} 	


			}


				


		}


		


		$this->output


			->set_content_type('application/json')


			->set_output(json_encode($response));


		


        


		if($response['status']=="success"){


			$user= $this->common_model->get_user($video_id);


			if(!empty($user)){


				$from_user_id=$user_id;


				$to_user_id=$user->user_id;


				$action_type =2;


				$event_id =$frame_id;


				if($from_user_id !=$to_user_id){


					$this->common_lib->notification($from_user_id,$to_user_id,$action_type,$event_id);


				}


			}		


		}			


		


	}


	public function edit_frame(){
		
		
		$user_id= $this->input->get_post('user_id',true);
		$frame_id= $this->input->get_post('frame_id',true);
		$video_id= $this->input->get_post('video_id',true);
		//$product_id= $this->input->get_post('product_id',true);
		//$title= $this->input->get_post('title',true);
		$start_time= $this->input->get_post('start_time',true);
		$end_time= $this->input->get_post('end_time',true);
		
		if(!$frame_id ) {
			$response = array(
				'status' => 'error',
			);
		}
		else{
			$framestatus = $this->frameslot($video_id, $start_time, $end_time);
			
			if( ! $framestatus)
			{ 
				$response = array(
					'status' => 'Cannot Sync the frame at this duration'
				);
			} 
			else{
				$frame_data=array(
				'start_time' => $start_time,
				'end_time' => $end_time
				);
				$this->ws_model->edit_frame($frame_id,$frame_data);
				
				$this->data['user_id'] = $this->ion_auth->get_user_id();

				$this->data['video_duration']= $video_duration= $this->input->get_post('video_duration');

				$this->data['event_user_id']= $event_user_id= $this->input->get_post('event_user_id');

				$video_frames = $this->videos_model->get_video_frames($video_id);

				$frames = array();

				

				if( ! empty($video_frames)) {



					foreach($video_frames as $frame) {

				

						$frameDataUrl = "";

						if($frame->media_type == 'VIDEO'){

							$frm_kaltura_video_id = $frame->kaltura_video_id;

							$frmvideo = $this->kaltura->videolist($access_type='ADMIN', $kaltura_user='', $page='', $frm_kaltura_video_id, $catId = TRUE);

							

							$frameDataUrl=$this->videoDataUrl($frm_kaltura_video_id);

						}

				

						$magento_product = $this->bwt_magento->get_product($frame->product_id);

						if($frame->media_type=="VIDEO"){

							$frame_media_type=111;

						}

						else if($frame->media_type=="IMAGE"){

							$frame_media_type=110;

						}

						

						$ms= $frame->end_time-$frame->start_time;

						$s = intval($ms/1000);

						$frameTime = sprintf('%02d:%02d:%02d', ($s / 3600), ($s / 60 % 60), $s % 60);

						

						$frames[] = array(

							'frame_id' => $frame->id,
							'new_frame_id'=>$frame->id."E",

							'user_id' => $frame->user_id,

							'product_id' => $frame->product_id,

							'product_image' => $magento_product->getImageUrl(),

							'frame_title' => $frame->title,

							'frame_start_time' => $frame->start_time,

							'frame_end_time' => $frame->end_time,

							'frame_media_type' => $frame_media_type,

							'frame_kmedia_id' => $frame->frame_kaltura_media_id,

							'frame_thumbnail_url' => $frame->thumbnail_url,

							'frame_image_url' => $frame->image_url,

							'frame_data_url' => $frameDataUrl,

							'frame_product_url' => $magento_product->getProductUrl(),

							'frame_resource_type' =>"internet",

							'frame_time'=>$frameTime

						);

					}

				}

				

				$this->data['frames']=$frames;
                //echo "<pre>"; print_r($frames);
				$data= $this->load->view('events/frames_edit', $this->data,TRUE);
				//$data= $this->load->view('eventframe/frames_edit',$this->data,TRUE);
				
				$response = array(
					'status' => 'success',
					'view'=>"$data"
				);
				
			}
		}
		$this->output
			->set_content_type('application/json')
			->set_output(json_encode($response));
		
        if($response['status']=="success"){
			$user= $this->common_model->get_user($video_id);
			if(!empty($user)){
				$from_user_id=$user_id;
				$to_user_id=$user->user_id;
				$action_type =3;
				$event_id =$frame_id;
				
                if($from_user_id !=$to_user_id){
					$this->common_lib->notification($from_user_id,$to_user_id,$action_type,$event_id);
				}
			}	
		}		
			
	}


	


	function frame_delete($id){


		//echo $id;


		// Delete media from kaltura


		$kaltura_user = $this->ion_auth->get_username();


		$this->load->model('frame/frame_model');


		$frame = $this->frame_model->get_frame($id);


		


		if($frame->frame_kaltura_media_id){


			$entryId = $frame->frame_kaltura_media_id;


			// Kaltura data


			$media = array(


				'user' => $kaltura_user,


				'access_type' => 'USER',


			);


			$this->kaltura->delete($media, $entryId);


		}


		


		


		$this->frame_model->delete('ads_frame', array('id' => $id));


		


		$this->session->set_flashdata('message', 'Frame removed successfully.');


		redirect('frame/frames');


	}


	


	


	


	


	public function frame($frame_id) {


	    


		if (!$this->ion_auth->logged_in()) {


			redirect('auth/login');


		}


		


		$frame = $this->eventframe_model->get_frame($frame_id);


		


		if( ! empty($frame)) {





				$frameDataUrl = "";


				if($frame->media_type == 'VIDEO'){


					$frm_kaltura_video_id = $frame->kaltura_video_id;


					$frmvideo = $this->kaltura->videolist($access_type='ADMIN', $kaltura_user='', $page='', $frm_kaltura_video_id, $catId = TRUE);


					


					$frameDataUrl=$this->videoDataUrl($frm_kaltura_video_id);


				}


		


				$magento_product = $this->bwt_magento->get_product($frame->product_id);


				if($frame->media_type=="VIDEO"){


					$frame_media_type=111;


				}


				else if($frame->media_type=="IMAGE"){


					$frame_media_type=110;


				}


				


				$ms= $frame->end_time-$frame->start_time;


				$s = intval($ms/1000);


				$frameTime = sprintf('%02d:%02d:%02d', ($s / 3600), ($s / 60 % 60), $s % 60);


				


				$frames = array(


					'frame_id' => $frame->id,


					'user_id' => $frame->user_id,


					'product_id' => $frame->product_id,


					'product_image' => $magento_product->getImageUrl(),


					'frame_title' => $frame->title,


					'frame_start_time' => $frame->start_time,


					'frame_end_time' => $frame->end_time,


					'frame_media_type' => $frame_media_type,


					'frame_kmedia_id' => $frame->frame_kaltura_media_id,


					'frame_thumbnail_url' => $frame->thumbnail_url,


					'frame_image_url' => $frame->image_url,


					'frame_data_url' => $frameDataUrl,


					'frame_product_url' => $magento_product->getProductUrl(),


					'frame_resource_type' =>"internet",


					'frame_time'=>$frameTime


				);


		}


		


		$this->data['row']=$frames;


		// print_r($frames);


		$this->data['total_followers'] = Modules::run('tagstream/followers');


		$this->data['total_following'] = Modules::run('tagstream/following');


		$this->template->load_view('eventframe/frame', $this->data);


		


	}


	


	


	


	


	


	function videoDataUrl($kaltura_video_id){


		$dataUrl="http://14.tagframe.com/p/101/sp/10100/playManifest/entryId/".$kaltura_video_id."/flavorIds/0,2,3,4,5,6,7/format/applehttp/protocol/http/a.m3u8";


		return $dataUrl;


	}


	


	function videoThumbnailUrl($videoThumbnailUrl){


		$thumbnailUrl = $videoThumbnailUrl."/width/600/height/300";


		return $thumbnailUrl;


	}


	


	


	


	


	


	


	


	function timeslot(){


		$video_id = $this->input->post('video_id');


		


		if( ! $video_id) {


			die;


		}


		


		//$video_id = 7;


		


		$this->load->model('videos/videos_model');


		$video = $this->videos_model->get_video('id', $video_id, $kaltura_user_id='', $active=1);


		$video_duration = $video->video_duration;


		


		$frames = $this->eventframe_model->get_video_frames($video_id);


		


		$timeslots = array();


		$k = 0;


		foreach($frames as $key => $frame) {


			$start_time = $frame->start_time;


			$end_time = $frame->end_time;


			


			if($key != 0) {


				$k = $key - 1;


				$nvsecond = ($start_time - $frames[$k]->end_time);


			} 


			else {


				$nvsecond = $start_time - 0;


			}


			


			$nvpercent = ($nvsecond * 100)/$video_duration;


			//$nvpercent = sprintf("%.2f",$nvpercent);


			$nvpercent = round($nvpercent);


			


			$blankslots = array(


				'color' => 'info',


				'length_second' => $nvsecond,


				'length_percent' => $nvpercent


			);


			


			$vsecond = ($end_time - $start_time);


			$vpercent = ($vsecond * 100)/$video_duration;


			//$vpercent = sprintf("%.2f",$vpercent);


			$vpercent = round($vpercent);


			


			$videolots = array(


				'color' => 'warning',


				'length_second' => $vsecond,


				'length_percent' => $vpercent


			);


			


			$timeslots[] = $blankslots;


			array_push($timeslots, $videolots);


			


			$totalVideoSecond += $vsecond;


			$totalBlankSecond += $nvsecond;


			


			$totalVideoPercent += $vpercent;


			$totalBlankPercent += $nvpercent;


		}


		


		$lnvsecond = ($video_duration - ($totalVideoSecond + $totalBlankSecond));


		


		$lnvpercent = (100 - ($totalVideoPercent + $totalBlankPercent));


		


		if($lnvsecond) {


			$lastBlankslots = array(


				'color' => 'info',


				'length_second' => $lnvsecond,


				'length_percent' => $lnvpercent


			);


			


			array_push($timeslots, $lastBlankslots);


		}


		


		$data['timeslots'] = $timeslots;


		


		$data['kaltura_video_id'] = $video->kaltura_video_id;


		$data['duration'] = $video_duration;


		


		$this->load->view('eventframe/timeslot', $data);


		//$this->load->view('frame/timeslot', $data);


	}


	


	public function frameslot($video_id, $start_time, $end_time)


	{


		$this->load->model('frame/frame_model');


		


		$this->load->model('videos/videos_model');


		$video = $this->videos_model->get_video('id', $video_id, $kaltura_user_id='', $active=1);		
        $kvideoInfo = $this->kaltura->kvideo($video->kaltura_video_id);
        $video_duration= $kvideoInfo->msDuration;

		/* if($end_time > $video_duration){


			$end_time= $video_duration;


		} */


		$frames = $this->frame_model->get_video_frames($video_id);


		


		$noframes = array();


		


		if( ! empty($frames))


		{


			$k = 0;


			foreach($frames as $key => $frame)


			{


				if($key == 0) 


				{


					$nf_start_time = '0';


					$nf_end_time = $frame->start_time;


				} 


				else {


					$nf_start_time = $frames[$key-1]->end_time;


					$nf_end_time = $frames[$key]->start_time;


				}


				


				$noframes[] = array(


					'nfst' => $nf_start_time,


					'nfet' => $nf_end_time


				);


			}


			


			$count = count($frames);


			


			$lastspace = array(


				'nfst' => $frames[$count-1]->end_time,


				'nfet' => $video_duration


			);


		} 


		else{


			$lastspace = array(


				'nfst' => 0,


				'nfet' => $video_duration


			);


		}


		


		array_push($noframes, $lastspace);


		


		foreach($noframes as $nframe)


		{


			$nfst = $nframe['nfst'];


			$nfet = $nframe['nfet'];


			if($start_time >= $nfst && $end_time <= $nfet) {


				$status = true;


				break;


			}


			else{


				$status = false;


			}


		}


		return $status;


	}


	


	


	public function dateTime($user_id){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		$date= date('Y-m-d H:i:s');


		return $date;


	}


	


	public function setTimeZone($user_id,$time){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		//$datetime= date('F d, Y G:i A', $time);


		$datetime= date('F d, Y g:i A', $time);


		return $datetime;


	}


	


	function currentTime($user_id){


		$currentTime= strtotime($this->dateTime($user_id));


		return $currentTime;


	}


	


	function date_to_time($user_id,$date){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		$date_to_time= strtotime($date);


		return $date_to_time;


		


	}





}