$(document).ready(function () {
	
	$('#load').css("display", "none");
	$('#check').css("display", "none");

	$("#to").keyup(function(e) {
		
		var text = $('#to').val();

		var base_url = $('#base_url').val() + '/' + text;
		
		$.ajax({
			url: base_url,
			success:function(data){
				
				if (text == ''){ 
					$('#load').css("display", "none");
					$('#check').css("display", "none");
				} else if(data != 'null'){
					$('#load').css("display", "none");
					$('#check').css("display", "");
					$('#to_id').val(data);
				} else {
					$('#load').css("display", "");
					$('#check').css("display", "none");
				}
			}
		});
	});
	
	$("#to").change(function(e) {
		
		var text = $('#to').val();

		var base_url = $('#base_url').val() + '/' + text;
		
		$.ajax({
			url: base_url,
			success:function(data){
				
				if (text == ''){ 
					$('#load').css("display", "none");
					$('#check').css("display", "none");
				} else if(data != 'null'){
					$('#load').css("display", "none");
					$('#check').css("display", "");
					$('#to_id').val(data);
				} else {
					$('#load').css("display", "");
					$('#check').css("display", "none");
				}
			}
		});
	});
	
	$("#compose").validate({
		rules: {
			to: "required",
			subject: "required",
			message: "required"
		},
		messages: {
			to: "Please enter username.",
			subject: "Please enter Subject.",
			message: "Please enter Message."
		}
	});
	
});

/*-----Search frieds------*/

	function autocomplet() {
		var min_length = 1;
		var baseurl = $("#base_url").val();
		var keyword = $('#user_to').val();
		if (keyword.length >= min_length) {
			$.ajax({
				url: baseurl + 'messages/ajax_search_friends',
				type: 'POST',
				data: {keyword:keyword},
				success:function(data){
					$('#to_user_list').show();
					$('#to_user_list').html(data);
				}
			});
		} else {
			$('#to_user_list').hide();
		}
	}

	// set_item : this function will be executed when we select an item
	function set_item(item) {
		// change input value
		$('#user_to').val(item);
		// hide proposition list
		$('#to_user_list').hide();
	}
	
	function set_item_id(item_id) {
		$('#to_user_id').val(item_id);
	}
