<h1><?php echo lang('create_user_heading');?></h1>


<p><?php echo lang('create_user_subheading');?></p>





<div <?php ( ! empty($message)) && print('class="alert alert-info"'); ?> id="infoMessage"><?php echo $message;?></div>





<?php echo form_open("auth/signup", array('class' => "form-horizontal", 'id' => 'signupForm'));?>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_username_label', 'username');?> <span class="error">*</span>


		</div>


		<div class="col-sm-8">


			<input type="text" name="username" value="" id="username" class="form-control" />


			<?php echo form_error('username', '<p class="error">', '</p>')?>


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_password_label', 'password');?> <span class="error">*</span>


		</div>


		<div class="col-sm-8">


			<input type="password" name="password" value="" id="password" class="form-control" />


			<?php echo form_error('password', '<p class="error">', '</p>')?>


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_password_confirm_label', 'password_confirm');?> <span class="error">*</span>


		</div>


		<div class="col-sm-8">


			<input type="password" name="password_confirm" value="" id="password_confirm" class="form-control" /> 


			<?php echo form_error('password_confirm', '<p class="error">', '</p>')?>


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_email_label', 'email');?> <span class="error">*</span>


		</div>


		<div class="col-sm-8">


			<input type="text" name="email" value="" id="email" class="form-control" />


			<?php echo form_error('email', '<p class="error">', '</p>')?>


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_fname_label', 'first_name');?> <span class="error">*</span>


		</div>


		<div class="col-sm-8">


			<input type="text" name="first_name" value="" id="first_name" class="form-control" /> 


			<?php echo form_error('first_name', '<p class="error">', '</p>')?>


		</div>


    </div>





	


	<!-- <div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_lname_label', 'last_name');?> 


		</div>


		<div class="col-sm-8">


			<input type="text" name="last_name" value="" id="last_name" class="form-control" /> 


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<label>Address:</label><span class="error">*</span> 


		</div>


		<div class="col-sm-8">


			<input type="text" name="address" value="" id="address" class="form-control" /> 


		</div>


    </div>


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_country_label', 'country');?> <span class="error">*</span>


		</div>


		<div class="col-sm-6">


			<select name="country" id="country" class="form-control">


				<option value="198">United States</option>


			</select>


		</div>


    </div>


	


	


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_state_label', 'state');?> <span class="error">*</span>


		</div>


		<div class="col-sm-6">


			<select name="state" id="state" class="form-control">


			<option value="">Select State...</option>


			<?php foreach($states as $state):?>


			<option value="<?php echo $state->state;?>"><?php echo $state->state;?></option>


			<?php endforeach; ?>


			</select>


		</div>


    </div>


	


	


	<div class="form-group">


		<div class="col-sm-4 ">


			<?php echo lang('create_user_city_label', 'city');?> <span class="error">*</span>


		</div>


		<div class="col-sm-6">


			<input type="text" name="city" value="" id="city" class="form-control" /> 


		</div>


    </div>


	





	


	<div class="form-group dob">


		<div class="col-sm-4">


			<?php echo lang('create_user_date_label', 'date');?> <span class="error">*</span>


		</div>


		


		<div class="col-sm-3">


			<select name="month" id="month" class="form-control">


				<option value="">Month</option>


				<option value="01">Jan</option>


				<option value="02">Feb</option>


				<option value="03">March</option>


				<option value="04">April</option>


				<option value="05">May</option>


				<option value="06">June</option>


				<option value="07">July</option>


				<option value="08">Aug</option>


				<option value="09">Sept</option>


				<option value="10">Oct</option>


				<option value="11">Nov</option>


				<option value="12">Dec</option>


			</select>


		</div>


				


		<div class="col-sm-2">


			<select name="date" id="date" class="form-control">


				<option value="">Day</option>


				<?php for($i=1;$i<=31;$i++): ?>


				<option value="<?php echo $i;?>"><?php echo $i;?></option>


				<?php endfor; ?>


			</select>


		</div>


				


		<div class="col-sm-3">


			<select name="year" id="year" class="form-control">


				<option value="">Year</option>


				<?php 


				for($i=1950;$i<=2010;$i++)


				{


				?>


				<option value="<?php echo $i;?>"><?php echo $i;?></option>


				<?php


				}


				?>


			</select>


		</div>


	</div> -->


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_phone_label', 'phone');?> <span class="error">*</span>


		</div>


		<div class="col-sm-4">


			<input type="text" name="phone" value="" id="phone" class="form-control"/> 


			<?php echo form_error('phone', '<p class="error">', '</p>')?>


		</div>


    </div>


	<div class="form-group">


		<div class="col-sm-4">


			<?php echo lang('create_user_zipcode_label', 'zipcode');?> <span class="error">*</span>


		</div>


		<div class="col-sm-4">


			<input type="text" name="zipcode" value="" id="zipcode" class="form-control"/> 


			<?php echo form_error('zipcode', '<p class="error">', '</p>')?>


		</div>


    </div>


	


	


	<div class="form-group">


		<div class="col-sm-4">


		</div>


		<div class="col-sm-8">


			<input type="hidden" id="base_url" value="<?php echo base_url(); ?>" />


			<?php echo bs_form_submit('submit', lang('create_user_submit_btn'));?>


		</div>


	</div>


<?php echo form_close();?>