<div class="alert alert-info" role="alert">Select any one product for this frame</div>


<?php if( count($products) > 0): ?>


<?php foreach($products as $product): ?>


<div class="media">


	<div class="media-left">


		<a href="<?php echo $product->getProductUrl() ?>" target="_blank">


			<img class="media-object" src="<?php echo $product->getImageUrl() ?>" alt="">


		</a>


	</div>


	<div class="media-body">


		<h4 class="media-heading">


			<?php echo $product->getName() ?>


			<span class="price pull-right"><?php echo Mage::helper('core')->currency($product->getPrice(), true, false) ?></span>


		</h4>


		<div class="short-description">


			<?php echo character_limiter($product->getShortDescription(), 100); ?>


			<div class="button-soldby">


			<button class="btn btn-xs btn-info pull-right select-product" id="<?php echo $product->getId() ?>" onclick="set_item('<?php echo $product->getName() ?>'); set_product_id(this.id)" type="button">Select</button>


			<?php $sellername = $this->bwt_magento->get_seller($product->getId()) ?>


			<?php if($sellername): ?>


			<strong>Seller Name: </strong><span class="seller-name"><?php echo $sellername ?><span>


			<?php endif; ?>


			</div>


		</div>


	</div>


</div>


<?php endforeach; ?>


<?php else: ?>


<p>No products found.</p>


<?php endif; ?>