<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');





class Notifications_model extends CI_Model {





    function __construct() {


		parent::__construct();


	}


	


	public function get_notifications($user_id, $limit, $offset) {


		$this->db->select('n.*, u.first_name, u.last_name, u.profile_image');


		$this->db->from('notifications n');


		$this->db->join('users u', 'u.id=n.from_user_id');


		$this->db->where('n.to_user_id', $user_id);


		$this->db->order_by('n.created_on', 'desc');


		$this->db->limit($limit, $offset);


		$query = $this->db->get();


		return $query->result();


	}


	


	public function count_notifications($user_id) {


		$this->db->select('n.*');


		$this->db->from('notifications n');


		$this->db->join('users u', 'u.id=n.from_user_id');


		$this->db->where('n.to_user_id', $user_id);


		return $this->db->count_all_results();


	}


	


	public function update_notification($notificaton_id, $data){


		$this->db->where('id',$notificaton_id);


		$this->db->update('notifications',$data);


		


	}


}