<div class="show-hide-btn">
	<div class="row">
		<div class="col-md-12 col-sm-12">
			<a href="<?php echo base_url('videos/upload');?>">Create Event</a>
		</div>
	</div>
</div>
<div class="video-list">
	<div class="row">
		<div class="col-md-6 col-sm-6">
			<h3>My Favorite Videos</h3>
		</div>
	</div>
	<div class="row">
		<?php if( ! empty($videos)): ?>
		<?php foreach($videos as $video): ?>
		<?php $kvideo = $this->kaltura->kvideo($video->kaltura_video_id) ?>
		<div class="col-md-3 col-sm-3">
			<div class="list-video-img by" id="<?php echo $video->id ?>" onmouseover="videoActionShow(this.id);" onmouseout="videoActionHide(this.id);">
				<a href="<?php echo site_url('home/index/'.$kvideo->id)?>">
					<img src="<?php echo $kvideo->thumbnailUrl ?>" class="img-responsive">
				</a>
				<nav id="nav<?php echo $video->id ?>">
					<a href="<?php echo site_url('videos/remove_favourite/'.$video->id) ?>" onclick="return confirm('Are you sure want to remove favourite? ');">Remove Favourite</a>
				</nav>
			</div>
			<div class="video-title"><?php echo character_limiter($kvideo->name, 30);?></div>
			<div class="by">
				<div><?php echo 'by '.anchor('', $kvideo->userId) ?></div>
				<span class="views"><?php echo $kvideo->views.' views'; ?></span>&nbsp;
				<span class="upload-time"><?php echo humanTiming($kvideo->createdAt).' ago'; ?></span>
			</div>
		</div>
		<?php endforeach; ?>
		<?php else: ?>
			<p style='text-align:center; color:red;'>No records.</p>
		<?php endif; ?>
	</div>
</div>
<script type="text/javascript">
	function videoActionShow(id) {
		document.getElementById("nav"+id).style.display = "block";
	}
	function videoActionHide(id) {
		document.getElementById("nav"+id).style.display = "none";
	}
</script>