<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');





class Videos_model extends CI_Model {


	


	function count_all_trash_videos(){


		$this->db->select('count(*) as num');


		$this->db->where('active', 0);


		$query = $this->db->get('products');


		return $query->row()->num;


	}


	


	public function get_all_trash_videos(){


		$this->db->select('vid.*,us.username');


		$this->db->from('videos vid');


		$this->db->join('users us', 'us.id = vid.user_id', 'left');


		$this->db->where('vid.active', 0);


		$query = $this->db->get();


		return $query->result();


	}


	


	function restore_event($id){


		$this->db->where('id', $id);


		$this->db->update('videos', array('active' => 1));


	}


	


	function delete_event_permanent($id){


		$this->db->where('id', $id);


		$this->db->delete('videos');


		return true;


	}


	


	function delete_product_img_permanent($id){


		$this->db->where('product_id', $id);


		$this->db->delete('product_images');


		return true;


	}


	


	function delete_video($id){


		$this->db->where('id', $id);


		$this->db->update('videos', array('active' => 0));


		return true;


	}


	


	public function  get_all_events_byid($user_id, $limit,$offset){


		$this->db->select('v.*, u.username');


		$this->db->from('videos v');


		$this->db->join('users u', 'u.id = v.user_id', 'left');


		$this->db->where('v.user_id', $user_id);


		$this->db->where('v.active', 1);


		$this->db->limit($limit,$offset);


		$query = $this->db->get();


		return $query->result();


	}


	


	function get_total_video_byid($user_id)


	{


		$this->db->select('count(*) as num');


		$this->db->where('user_id', $user_id);


		$this->db->where('active',1);


		$query = $this->db->get('videos');


		return $query->row();


	}


	


	//-------------------- Ankit


	public function  get_all_events($limit,$offset){


		$this->db->select('vid.*,us.username');


		$this->db->from('videos vid');


		$this->db->join('users us', 'us.id = vid.user_id', 'left');


		$this->db->where('us.active', 1);


		$this->db->where('vid.active', 1);


		$this->db->limit($limit,$offset);


		$query = $this->db->get();


		return $query->result();


	}


	


	function video_update($data, $where)


	{


		$this->db->where('id', $where);


		$id = $this->db->update('videos', $data);


		return true;


	}


	


	public function  get_video_detail($video_id){


		$this->db->where('id',$video_id);


		$query = $this->db->get('videos');


		return $query->row();


	}


	


	function get_video_detail_view($video_id){


		$this->db->where('id', $video_id);


		$query = $this->db->get('videos');


		return $query->row();


	}


	


	function get_total_video()


	{


		$this->db->select('count(v.id) as num');


		$this->db->from('videos v');


		$this->db->join('users u', 'u.id = v.user_id', 'left');


		$this->db->where('u.active', 1);


		$this->db->where('v.active', 1);


		$query = $this->db->get();


		return $query->row();


	}


}


