<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');





class Ecommerce extends MY_Controller {





    public $data;


	


	function __construct() {


		parent::__construct();


		$this->load->language('ecommerce');


		$this->load->model('ecommerce_model');


		


		if (!$this->ion_auth->logged_in())


        {


            //redirect them to the login page


            redirect('auth/login', 'refresh');


        }


	}


	


	function product_details($product_id){


		$this->template->set_title('Product Details');


		


		$this->data['product'] = $this->ecommerce_model->get_product_details($product_id);


		


		$this->template->load_view('ecommerce/product_details', $this->data);


	}


	


	function add_cart(){


		$this->data['title'] = 'Add to Cart';


		$data = array(


			array(


				'id'      => $this->input->post('product_id', true),


				'qty'     => $this->input->post('quantity', true),


				'name'   => $this->input->post('product_name', true),


				'price'    => $this->input->post('product_price', true)


			)


		);


			


		$this->cart->insert($data);


		$this->template->load_view('ecommerce/cart_view', $this->data);


	}


	


	function checkout(){


		//echo $this->cart->product_options('rowid'); die;


		$order = array(


			'user_id' => $this->session->userdata('user_id'),


			'order_number' => $this->session->userdata('user_id'),


			'total_amount' => $this->session->userdata('user_id'),


			'payment_mode' => $this->session->userdata('user_id'),


			'payment_status' => $this->session->userdata('user_id'),


			'order_date' => $this->session->userdata('user_id'),


		);


		


	}


}