$(document).ready(function() {
	$(document).on('click', '.pagination a', function(event) {
		var action_url = $(this).attr('href');
		var page = $(this).attr('id');
		$('#loadingmessage').show(); 
		
		$.ajax({
			type: "POST",
			url: action_url,
			data: 'page=' + page,
			success: function(response) {
				$("#videoList").html(response);
				$('#loadingmessage').hide(); 
			}
		});
		event.preventDefault();
	});
});

$(document).ready(function(){

	$("#fileForm").validate({
		rules: {
			title: "required",
			description: "required",
			tags_keywords: "required",
			video_file: {
				required: true,
				extension: "mp4"
			},
			price: {
				required: "#paid:checked"
			}
		},
		messages: {
			title: "Please enter Title",
			description: "Please enter Description",
			tags_keywords: "Please enter a tags keywords",
			video_file: {
				required: "Please select Video file",
				extension: "Please select only mp4 file"
			},
			price: "Please enter price value."
		}
	});
	
	$("#editfileForm").validate({
		rules: {
			title: "required",
			description: "required",
			tags_keywords: "required",
			new_video_file: {
				extension: "mp4"
			},
			price: {
				required: "#paid:checked"
			}
		},
		messages: {
			title: "Please enter Title",
			description: "Please enter Description",
			tags_keywords: "Please enter a tags keywords",
			new_video_file: {
				extension: "Please select only mp4 file"
			},
			price: "Please enter price value."
		}
	});
	
	$('#free').click(function() {
		$("#price").css("display", "none");
		$("#price_value-error").css("display", "none");
	});
	
	$('#paid').click(function() {
		$("#price").css("display", "");
		$("#price_value-error").css("display", "");
	});
});