jQuery.noConflict();

jQuery(document).ready(function() {

	// validate signup form on keyup and submit
	jQuery("#editUser").validate({
		rules: {
			first_name: "required",
			last_name: "required",
			email: {
				required: true,
				email: true
			},
			country: {
				required:true
			},
			state: {
				required:true
			},
			city: {
				required:true
			},
			date: {
				required:true
			},
			phone: {
				required:true
			},
			address: {
				required:true
			},
			profile_image: {
				extension: "jpg|jpeg|png"
			}
		},
		messages: {
			first_name: "Please enter your firstname",
			last_name: "Please enter your lastname",
			email: "Please enter a valid email address",
			country: "Please select your country",
			state: "Please select your state",
			city: "Please enter your city",
			profile_image: "Please select only jpg and png file.",
			address: "Please enter address",
			phone: "Please enter your phone",
		}
	});
	
	// File And Textarea in videos edit
	jQuery('#video_type').click(function() {
		jQuery("#video_file").css("display", "");
		jQuery("#embed_code").css("display", "none");
		jQuery("#video_file-error").css("display", "none");
		jQuery("#embed_code-error").css("display", "none");
	});
	
	jQuery('#video_type1').click(function() {
		jQuery("#video_file").css("display", "none");
		jQuery("#embed_code").css("display", "");
		jQuery("#video_file-error").css("display", "none");
		jQuery("#embed_code-error").css("display", "none");
	});
	
	jQuery(function() { 
		jQuery( "#admin_edit" ).datepicker();
	});
	
	
	var url = (window.location.href);
	jQuery('.nav-stacked a[href="'+url+'"]').parent().addClass('active');
	  
});