<?php $this->load->view('admin/header');?>


<div class="rightpanel">


	<ul class="breadcrumbs">


		<li><a href="<?php echo base_url('dashboard/admin/dashboard') ?>"><i class="iconfa-home"></i></a> <span class="separator"></span></li>


		<li><?php echo $title; ?></li>


	</ul>


	<div class="pageheader">


		<div class="pageicon"><span class="iconfa-user"></span></div>


		<div class="pagetitle">


			<h1><?php echo $title; ?></h1>


		</div>


	</div>


	<div class="maincontent">


		<div class="maincontentinner">


			<div class="widget">


				<h4 class="widgettitle"><?php echo $title; ?></h4>


				<div class="widgetcontent">


					<form class="stdform" id="editUser" action="<?php echo base_url('users/edit_user/'.$id);?>" method="post" enctype="multipart/form-data">


						<p>


							<label>Email:</label>


							<span class="field"><input type="text" name="email" readonly class="input-xlarge" placeholder="Enter Email ID" value="<?php echo $list->email?>" /></span>


						</p>


						<p>


							<label>First Name:</label>


							<span class="field"><input type="text" name="first_name" class="input-xlarge" placeholder="Enter first name" value="<?php echo $list->first_name?>" /></span>


						</p>


						<p>


							<label>Last Name:</label>


							<span class="field"><input type="text" name="last_name" class="input-xlarge" placeholder="Enter last name" value="<?php echo $list->last_name?>" /></span>


						</p>


						<p>


							<label>Address:</label>


							<span class="field"><textarea name="address" class="input-xlarge" placeholder="Enter address" ><?php echo $list->address?></textarea></span>


						</p>


						<p>


							<label>Country:</label>


							<span class="field">


								<select name="country" class="uniformselect">


									<option value="">Select Country</option>


								<?php foreach($country as $row){?>


									<option value="<?php echo $row->id?>" <?php echo ($list->country_id == $row->id) ? 'selected' : '';?> ><?php echo $row->country?></option>


								<?php }?>


								</select>


							</span>


						</p>


						<p>


							<label>State:</label>


							<span class="field">


								<select name="state" class="uniformselect">


									<option value="">Select State</option>


								<?php foreach($state as $row){?>


									<option value="<?php echo $row->id?>" <?php echo ($list->state == $row->id) ? 'selected' : '';?>><?php echo $row->state?></option>


								<?php }?>


								</select>


							</span>


						</p>


						<p>


							<label>City:</label>


							<span class="field"><input type="text" name="city" class="input-xlarge" placeholder="Enter City" value="<?php echo $list->city?>" /></span>


						</p>


						<p>


							<label>Phone:</label>


							<span class="field"><input type="text" name="phone" class="input-xlarge" placeholder="Enter Phone Number" value="<?php echo $list->phone?>" /></span>


						</p>


						<p>


							<label>Date of Birth:</label>


							<span class="field"><input type="text" id="admin_edit" name="date_of_birth" class="input-xlarge" placeholder="Enter Date of Birth" value="<?php echo date('m/d/Y', $list->date_of_birth);?>" /></span>


						</p>


						<p>


							<label>Profile:</label>


							<span class="field">


								<input type="file" name="profile_image" class="input-xlarge" />


								<input type="hidden" name="profile_image_old" value="<?php echo $list->profile_image;?>" class="input-xlarge" />


							</span>							


						</p>


						<p>


							<label></label>


							<span class="field">


								<img src="<?php echo ($list->profile_image) ? base_url($list->profile_image) : base_url('assets/img/dummy.png');?>" style="width:100px; height:100px;" />


							</span>


							


						</p>


						<p>


							<label></label>


							<span class="field"><input type="submit" name="submit" class="input-xlarge" /></span>


						</p>


					</form>


				</div><!--widgetcontent-->


            </div><!--widget-->


		


		</div>


	</div>


</div>


<?php $this->load->view('admin/footer');?>