<?php defined('BASEPATH') OR exit('No direct script access allowed');





class Dashboard extends MX_Controller {





    public $data;





    function __construct()


    {


        parent::__construct();


		$this->load->model('dashboard_model');


    }





    function index()


    {


        if (!$this->ion_auth->logged_in())


        {


            redirect('auth/login');


        }


		


		$this->template->add_js('modules/dashboard.js');


		


		$user_id = $this->ion_auth->get_user_id();


		


		$user = $this->ion_auth->user($user_id)->row();


		$this->data['user'] = $user;


		


		//$this->data['recent_followers'] = Modules::run('friends/recent_followers');


		//$this->data['recent_messages'] = Modules::run('messages/recent_messages');


		


		$this->data['followers'] = Modules::run('tagstream/followers');


		$this->data['following'] = Modules::run('tagstream/following');


		$limit = 2;


		$offset = 0;


		$this->data['records'] = $limit + $offset;


		$this->data['totalRows'] = $this->common_model->count_tag_streams($user_id);


		$this->data['tagstreams'] = $this->common_model->get_tag_streams($user_id, $limit, $offset);


	


		$this->template->load_view('dashboard/index',$this->data);


    }


	


	public function ajax_tagstreams() {


		$user_id = $this->ion_auth->get_user_id();


		$records = $this->input->post('records');


		


		$limit = 2;


		$offset = $records;


		


		$this->data['records'] = $limit + $offset;


		


		$this->data['tagstreams'] = $this->common_model->get_tag_streams($user_id, $limit, $offset);


		$this->load->view('dashboard/tagstreams', $this->data);


	}


}