<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');





class Notifications extends MY_Controller {


	


	var $data;


	


	function __construct()


    {


        parent::__construct();


		


		 if (!$this->ion_auth->logged_in()){


			redirect('auth/login');


        }


		


		$this->load->model('notifications_model');


		$this->load->model('ws_model');


    }





    function index()


    {


		$this->template->set_title('Notifications');


		//$this->template->add_js('modules/notifications.js');


		


		$user_id = $this->ion_auth->get_user_id();


		


		//$this->data['recent_friends'] = Modules::run('friends/recent_friends');


		//$this->data['recent_messages'] = Modules::run('messages/recent_messages');


		


		$this->data['followers'] = Modules::run('tagstream/followers');


		$this->data['following'] = Modules::run('tagstream/following');


		


		$limit = 5;


		$offset = 0;


		$this->data['records'] = $limit + $offset;


		$this->data['totalRows'] = $this->notifications_model->count_notifications($user_id);


		//$this->data['notifications'] = $this->notifications_model->get_notifications($user_id, $limit, $offset);


	    


		$notifications=array();


			


		$notificationsData = $this->common_model->get_notification($user_id, $limit, $offset);


		


		if(!empty($notificationsData)){


			foreach($notificationsData as $notify ){


				$msg="";


				$commentId="";


				$event_id= $notify->event_id; 


				if($notify->action_type==1){


					$table= 'videos';	


					$action= "has added an event";	


					$sub_action_type="watch_event";


				}


				else if($notify->action_type==2){


					$table= 'ads_frame';


					$action='has added a frame to an event';


					$sub_action_type="watch_frame";					


				}


				else if($notify->action_type==3){


					$table= 'ads_frame';


					$action='has edited a frame';	


					$sub_action_type="watch_frame";					


				}


				else if($notify->action_type==4){


					$table1= 'friend_requests';


					$action='followed';


					$sub_action_type="watch_profile";


				}


				else if($notify->action_type==5){


					$table1= 'friend_requests';


					$action='unfollowed';


					$sub_action_type="watch_profile";


				}


				else if($notify->action_type==6){


					


					$comment_id= strstr("$event_id",",",true);


					$event_id= substr("$event_id", strpos("$event_id", ",") + 1);


					$table3= 'comments';


					$action='has commented on an event';


					$sub_action_type="watch_comment";


					$commentId=$comment_id;


				}


				else if($notify->action_type==7){


					$comment_id= strstr("$event_id",",",true);


					$event_id= substr("$event_id", strpos("$event_id", ",") + 1);


					$table3= 'comments';


					$action='has replyed on a comment';


					$sub_action_type="watch_comment";


					$commentId=$comment_id;


				}


				else if($notify->action_type==8){


					$table= 'videos';


					$action='has liked an event ';


					$sub_action_type="watch_event";


				}


				else if($notify->action_type==9){


					


					if (strpos($event_id, ':') !== false) {


						$notifyMsg =  $event_id;


						$event_id  =  strstr("$notifyMsg",":",true);


						$msg = substr("$notifyMsg", strpos("$notifyMsg", ":") + 1);


					}


					


					$table2= 'product';


					$action='has endorsed a product to you';


					$sub_action_type="watch_product";


				}


				else if($notify->action_type==10){


					$table= 'videos';


					$action='has tagged you in an event';


					$sub_action_type="watch_event";


				}


				else{


					$table4= 'Unknown';


					$action='Unknown';


				}


				


				


				if($table){


					$eventName= $this->common_model->eventName($table,$event_id);


					$event_name=$eventName->title;


					$table="";


				}


				if($table1){


					$eventName= $this->common_model->followUser($event_id);


					$event_name=$eventName->first_name;


					$table1="";


				}


				if($table2){


					$magento_product = $this->bwt_magento->get_product($event_id);


					$event_name=$magento_product->getName();


					$table2="";


				}


				if($table3){


					$eventName= $this->common_model->eventName($table3,$comment_id);


					$event_name=$eventName->comment;


					


					$table3="";


					$comment_id="";


				}


				


				$profile_photo= "";


				if(!empty($notify->profile_image)){


					$profile_photo= base_url().$notify->profile_image;


				}


				


				


				


				$createdTime= $this->date_to_time($notify->from_user_id,$notify->created_on);


	


				


				$created_at = $this->humanTiming($notify->from_user_id,$createdTime);


				$notifyData[]=array(


				'id'=> $notify->id,


				'username'=> $notify->first_name,


				'user_id'=> $notify->user_id,


				'action_type'=> $action,


				'profile_pic'=> $profile_photo,


				'sub_action_type'=>$sub_action_type,


				'sub_action_name'=>$event_name,


				'sub_action_id'=>$event_id,


				'sub_action_message'=>$msg,


				'comment_id'=>$commentId,


				'is_read'=>($notify->is_view)?"Yes":"No",


				'created_on'=>$created_at." ago" 


				);


			}


		}


		


		$this->data['notifications']=$notifyData;


		


		$this->template->load_view('notifications/index',$this->data);


    }


	


	public function ajaxlist() {


		$user_id = $this->ion_auth->get_user_id();


		$records = $this->input->post('records');


		


		$limit = 5;


		$offset = $records;


		


		$this->data['records'] = $limit + $offset;


		$this->data['totalRows'] = $this->notifications_model->count_notifications($user_id);


		//$this->data['notifications'] = $this->notifications_model->get_notifications($user_id, $limit, $offset);


		$notifications=array();


			


		$notificationsData = $this->common_model->get_notification($user_id, $limit, $offset);


		


		if(!empty($notificationsData)){


			foreach($notificationsData as $notify ){


				$msg="";


				$commentId="";


				$event_id= $notify->event_id; 


				if($notify->action_type==1){


					$table= 'videos';	


					$action= "has added an event";	


					$sub_action_type="watch_event";


				}


				else if($notify->action_type==2){


					$table= 'ads_frame';


					$action='has added a frame to an event';


					$sub_action_type="watch_frame";					


				}


				else if($notify->action_type==3){


					$table= 'ads_frame';


					$action='has edited a frame';	


					$sub_action_type="watch_frame";					


				}


				else if($notify->action_type==4){


					$table1= 'friend_requests';


					$action='followed';


					$sub_action_type="watch_profile";


				}


				else if($notify->action_type==5){


					$table1= 'friend_requests';


					$action='unfollowed';


					$sub_action_type="watch_profile";


				}


				else if($notify->action_type==6){


					


					$comment_id= strstr("$event_id",",",true);


					$event_id= substr("$event_id", strpos("$event_id", ",") + 1);


					$table3= 'comments';


					$action='has commented on an event';


					$sub_action_type="watch_comment";


					$commentId=$comment_id;


				}


				else if($notify->action_type==7){


					$comment_id= strstr("$event_id",",",true);


					$event_id= substr("$event_id", strpos("$event_id", ",") + 1);


					$table3= 'comments';


					$action='has replyed on a comment';


					$sub_action_type="watch_comment";


					$commentId=$comment_id;


				}


				else if($notify->action_type==8){


					$table= 'videos';


					$action='has liked an event ';


					$sub_action_type="watch_event";


				}


				else if($notify->action_type==9){


					


					if (strpos($event_id, ':') !== false) {


						$notifyMsg =  $event_id;


						$event_id  =  strstr("$notifyMsg",":",true);


						$msg = substr("$notifyMsg", strpos("$notifyMsg", ":") + 1);


					}


					


					$table2= 'product';


					$action='has endorsed a product to you';


					$sub_action_type="watch_product";


				}


				else if($notify->action_type==10){


					$table= 'videos';


					$action='has tagged you in an event';


					$sub_action_type="watch_event";


				}


				else{


					$table4= 'Unknown';


					$action='Unknown';


				}


				


				


				if($table){


					$eventName= $this->common_model->eventName($table,$event_id);


					$event_name=$eventName->title;


					$table="";


				}


				if($table1){


					$eventName= $this->common_model->followUser($event_id);


					$event_name=$eventName->first_name;


					$table1="";


				}


				if($table2){


					$magento_product = $this->bwt_magento->get_product($event_id);


					$event_name=$magento_product->getName();


					$table2="";


				}


				if($table3){


					$eventName= $this->common_model->eventName($table3,$comment_id);


					$event_name=$eventName->comment;


					$table3="";


					$comment_id="";


				}


				


				$profile_photo= "";


				if(!empty($notify->profile_image)){


					$profile_photo= base_url().$notify->profile_image;


				}


				


				


				


				$createdTime= $this->date_to_time($notify->from_user_id,$notify->created_on);


	


				


				$created_at = $this->humanTiming($notify->from_user_id,$createdTime);


				$notifyData[]=array(


				'id'=> $notify->id,


				'username'=> $notify->first_name,


				'user_id'=> $notify->user_id,


				'action_type'=> $action,


				'profile_pic'=> $profile_photo,


				'sub_action_type'=>$sub_action_type,


				'sub_action_name'=>$event_name,


				'sub_action_id'=>$event_id,


				'comment_id'=>$commentId,


				'sub_action_message'=>$msg,


				'is_read'=>($notify->is_view)?"Yes":"No",


				'created_on'=>$created_at." ago" 


				);


			}


		}


		


		$this->data['notifications']=$notifyData;


		


		$this->load->view('notifications/ajaxlist', $this->data);


	}


	


	


	


	function update_notification(){


		$notification_id= $this->input->get_post('id', true);


		if(!$notification_id){


			$response=array(


			'status'=>$notification_id


			);


		}


		else{


			$data=array(


			'is_view'=>1


			);


			$this->notifications_model->update_notification($notification_id, $data);


			


			$response=array(


			'status'=>'success'


			);


		}


		


		$this->output


			->set_content_type('application/json')


			->set_output(json_encode($response));


		


	}


	


	


	


	


	


	


	


	


	function humanTiming($user_id,$created_on)


	{


		


		$currentTime= $this->currentTime($user_id);


		$createdTime= $created_on;


		$time = $currentTime - $createdTime; // to get the time since that moment


		$time = ($time<1)? 1 : $time;


		$tokens = array (


			31536000 => 'year',


			2592000 => 'month',


			604800 => 'week',


			86400 => 'day',


			3600 => 'hour',


			60 => 'minute',


			1 => 'second'


		);





		foreach ($tokens as $unit => $text) {


			if ($time < $unit) continue;


			$numberOfUnits = floor($time / $unit);


			return $numberOfUnits.' '.$text.(($numberOfUnits>1)?'s':'');


		}





    }


	public function dateTime($user_id){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		$date= date('Y-m-d H:i:s');


		return $date;


	}


	


	public function setTimeZone($user_id,$time){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		//$datetime= date('F d, Y G:i A', $time);


		$datetime= date('F d, Y g:i A', $time);


		return $datetime;


	}


	


	function currentTime($user_id){


		$currentTime= strtotime($this->dateTime($user_id));


		return $currentTime;


	}


	


	function date_to_time($user_id,$date){


		$get_time_zone= $this->ws_model->get_time_zone($user_id);


		if($get_time_zone){


			 $time_zone=$get_time_zone->time_zone;


			date_default_timezone_set($time_zone);


		}


		


		$date_to_time= strtotime($date);


		return $date_to_time;


		


	}


	


	


}		


