<?php $this->load->view('admin/header');?>


<div class="rightpanel">


	<ul class="breadcrumbs">


		<li><a href="<?php echo base_url('dashboard/admin/dashboard') ?>"><i class="iconfa-home"></i></a> <span class="separator"></span></li>


		<li><?php echo $title; ?></li>


	</ul>


	<div class="pageheader">


		<div class="pageicon"><span class="iconfa-user"></span></div>


		<div class="pagetitle">


			<h1><?php echo $title; ?></h1>


		</div>


	</div>


	<div class="maincontent">


		<div class="maincontentinner">


			<div class="widget">


				<h4 class="widgettitle">Form Elements</h4>


				<div class="widgetcontent">


					<form class="stdform" action="<?php echo base_url('product/admin/product/product_edit/'.$product_id);?>" method="post" enctype="multipart/form-data">


						<p>


							<label>Product Name:</label>


							<span class="field"><input type="text" name="product_name" class="input-xlarge" value="<?php echo $products->name;?>" /></span>


							<?php echo form_error('product_name', '<div class="error">', '</div>');?>


						</p>


						<p>


							<label>Category:</label>


							<span class="field"><select name="category" class="input-xlarge">


							<option value="">Select Your Category</option>


							<?php 


							foreach($category as $cat)


							{


							?>


							<option value="<?php echo $cat->id;?>" <?php if($products->category_id == $cat->id) echo 'selected="selected"'; ?>><?php echo $cat->name;?></option>


							<?php } ?>


							</select>


							<?php echo form_error('category', '<div class="error">', '</div>');?></span>


						</p>


						<p>


							<label>Description:</label>


							<span class="field"><textarea id="desc_name" name="desc_name"  class="input-xlarge"><?php echo $products->description;?></textarea>	


							<?php echo form_error('desc_name', '<div class="error">', '</div>');?></span>


						</p>


						<p>


							<label>Price:</label>


							<span class="field"><input type="text" name="price" value="<?php echo $products->price;?>" id="price" class="input-xlarge" /> 


							<?php echo form_error('price', '<div class="error">', '</div>');?></span>


						</p>


						<p>


							<label>Quantity:</label>


							<span class="field"><input type="text" name="qty" value="<?php echo $products->quantity;?>" id="price" class="input-xlarge" /> 


							<?php echo form_error('qty', '<div class="error">', '</div>');?></span>


						</p>


						<p>


							<label>Image:</label>


							<span class="field"><input type="file" name="video_file" value="" id="video_file" class="input-xlarge"/>


							<?php echo form_error('qty', '<div class="error">', '</div>');?></span>


						</p>


						<p>


							<label></label>


							<span class="field">


							<?php 


							if($products->file_name){


							$thunmbnail = explode(".", $products->file_name);


							$thumb_img = $thunmbnail[0].'_thumb.'.$thunmbnail[1];


							?>


							<img align="center" src="<?php echo base_url('media/thumbnail/'.$thumb_img);?>"/>


							<?php


							} else {


							?>


							<img src="<?php echo base_url('');?>"/>


							<?php


							}


							?>


							</span>


						</p>


						<p><label></label>


						<span class="field"><input type="submit" name="submit" value="Update" class="input-xlarge" /> 


						</p>	


					</form>


				</div><!--widgetcontent-->


            </div><!--widget-->


		


		</div>


	</div>


</div>


<?php $this->load->view('admin/footer');?>